@import 'variables';
@import 'mixins';
@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600');



* {
  padding: 0;
  margin: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  text-decoration: none;

  &:hover, &:focus {
    text-decoration: none !important;
    outline: none !important;
  }
}

html {
  font-size: 16px;
  @media (max-width: 1199px) {
    font-size: 14px;
  }
}

body {
  position: relative;

  width: 100%;
  height: 100%;

  font-size: 13px !important;
  font-weight: 300;
  font-family: Poppins, Helvetica, sans-serif;

  flex-shrink: 1;

  color: #fff;
  background-color: #f2f3f8;
  flex-basis: 100%;
  flex-grow: 1;

}

section {
  padding: 65px 15px 15px 65px;
  @media (max-width: 575px) {
    padding: 65px 0 15px;
  }
}

h1, h2, h3, h4, h5, h6 {
  margin-bottom: 0;
}

h1 {
  font-size: 42px;
  font-weight: 600;
}

h2 {
  font-size: 36px;
  font-weight: 600;
}

h3 {
  font-size: 30px;
  font-weight: 300;
}

h4 {
  font-size: 24px;
  font-weight: 300;
}

.delete-link {
  position: relative;
  color: #666;
  cursor: pointer;

  &:hover {
    color: #aaa;
  }
}

.react-confirm-alert {
  h1 {
    font-size: 22px;
    font-family: "Open Sans", sans-serif;
    //font-weight: 300;
  }
}

.react-confirm-alert-overlay {
  background-color: rgba(#000, 0.35);
  animation: none;
  opacity: 1;
}

.react-confirm-alert-body {
  width: auto;
  background-color: $main;
  color: #fff;
}

.react-confirm-alert-button-group > button {
  @include button(desaturate($b, 20%))
}

.Toastify {
  &__toast {
    min-height: 50px;

    &--success {
      background-color: $b;
    }
  }

  &__progress-bar {
    height: 2px;
  }
}


// Bootstrap customization starts here
.btn {
  position: relative;
  width: 8rem;
  height: 2.5rem;
  padding: 0;
  font-size: 1rem;
  line-height: 2.5rem;
}

.btn-sm {
  width: 5rem;
  height: 1.8rem;
  line-height: 1.8rem;
}

.btn-lg {
  width: 12rem;
}

.btn-primary {
  @include button(darken($b, 12%))
}

.dropdown-menu {
  background-color: #2b323c;
}

.dropdown-item {
  color: #fff;
  cursor: pointer;

  &:hover {
    background-color: rgba(#fff, 0.1);
    color: #fff;
  }
}

.pagination {

  color: $sec-active;
  .page-link:focus {
    box-shadow: none;
  }
  .btn{
    width: 35px;
  }

  .page-link {
    color: $sec-active;
    background: none;
    box-shadow: none;
    border: none;
    line-height: 1.1rem;

    &.active {
      background-color: $main-light;
    }
    &:hover {
      background-color: $main-light;
    }
  }

  .page-item {
    background: none;

    &.active {
      .page-link {
        background-color: $main-light;
      }
    }

    &.disabled {
      .page-link {
        background: none;
      }
    }
  }
}



small {
  &.bid {
    color: #df4249;
  }

  &.ask {
    color: #159f49;
  }
}

.color-label{
  color: $main-light;
}

.color-id{
  color: #00c6de;
}

.color-text{
  color: $gl;
}

.color-amount{
  color: $sec-active;
}

.color-price{
 color: #ed969e;
}

.color-alert{
  color: #df4249;
}

.color-warning{
  color: #ffc107;
}

table{
  th{
    color: $main-light;
  }
}

//    width: 30px;
//  }
//  .page-item{
//    width: 30px;
//  }
//}

